---
description: Show command help
keywords: machine, help, subcommand
title: docker-machine help
---

```none
Usage: docker-machine help [arg...]

Shows a list of commands or help for one command
```

Usage: docker-machine help _subcommand_

For example:

```bash
$ docker-machine help config

Usage: docker-machine config [OPTIONS] [arg...]

Print the connection config for machine

Description:
   Argument is a machine name.

Options:

   --swarm      Display the Swarm config instead of the Docker daemon
```